<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <title>GIMServer</title>
    <link rel="stylesheet" href="{{ url_for('static', filename= 'css/index.css') }}"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="{{ url_for('static', filename= 'js/index.js') }}"></script>
    <script src="{{ url_for('static', filename= 'js/home.js') }}"></script>

</head>
<body>
<main>
    <h1>GIMServer: {{ global_name }}</h1>
    <p><a href="/" >Targets</a> | Peers | <a href="/cluster" >Cluster Visualization</a> | <a href="/swathe" >Swathe</a></p>
    <input type="hidden" id="ip" value="{{ global_ip }}"/>
    <input type="hidden" id="name" value="{{ global_name }}"/>

    <div class="targets-wrap">
        {% for peer in peers %}
        <div class="target-wrap">
            <h2>{{ peer['name'] }}</h2>
            <div>{{ peer['to_ip'] }}: {{ peer['to_port'] }}
                <a href="http://{{ peer['to_ip'] }}:{{ peer['to_port'] }}" target="_blank">Open &#x2197;</a>

            </div>
            <hr>
        </div>
        {% endfor %}
    </div>

</main>
</body>
</html>
